Bug 86650 - Configfiles are rewritten on change (Comments skipped)
Summary: Configfiles are rewritten on change (Comments skipped)
Status: RESOLVED INTENTIONAL
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-05 19:50 UTC by Dennis Schridde
Modified: 2010-06-17 09:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2004-08-05 19:50:56 UTC
Version:            (using KDE KDE 3.2.3)
Installed from:    Gentoo Packages
OS:                Linux

Currently (3.2.3) the configfiles seem to be rewritten when I change options through kcontrol.
This way comments are skipped incl. uncommon settings (which are commented out by default).

The configfiles should be edited instead, changing only the parts needed.

(This "bug" appeared with kdmrc when I tried to use the one shipped with my distro and wondered where all the fine comments had gone.)
Comment 1 Stephan Kulow 2004-08-06 10:03:48 UTC
I would say, that's about impossible to implement without slowing down KDE at factor 3 ;(
Comment 2 Waldo Bastian 2004-08-06 12:09:44 UTC
It can be done I think. Currently when we write back changes,
we already merge back changes that happened in the on-disk version.
We could change saving to essentially copy the on-disk version to a
new version substituting any keys that we encounter with the changed
values (if any) and then append all new keys.

I think that should be made optional behavior because I think there
are only a few cases where it adds value, most notably with kdmrc and
with .desktop files
(the .desktop standard says that we should preserve comments)
Comment 3 Josh Metzler 2005-01-27 14:20:41 UTC
This reorganizing + comment stripping of kdmrc is especially a pain for Debian users, as package upgrades offer to show you a diff of the version on disk and the default version shipped with the package.  This diff is useless if kdmrc has been edited in kcontrol.
Comment 4 Christopher Martin 2006-06-21 18:47:51 UTC
Any progress on this issue? It still plagues Debian users, who for many package updates are faced with a difficult-to-choose-from diff between a new kdmrc with tons of comments, and a Kcontrol-generated minimalist file.

Thanks.
Comment 5 Dennis Schridde 2010-06-17 09:30:42 UTC
Closing as wontfix. There's been no apparent progress in 6 years, and I do not need this anymore.
Ask for reopen if you still find it useful.